Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class ValueOccurrences

    java.lang.Object
      org.exist.util.ValueOccurrences

public class ValueOccurrences
extends java.lang.Object

Author:
  wolf

Constructor Summary
`ValueOccurrences(AtomicValue value)`

Method Summary
`void` | `add(ValueOccurrences other)`
`void` | `addDocument(DocumentImpl doc)`
`void` | `addOccurrences(int count)`
`int` | `compareTo(java.lang.Object o)`
`int` | `getDocuments()` Returns the number of documents from the set in which the term has been found.
`int` | `getOccurrences()` Returns the overall frequency of this term in the document set.
`AtomicValue` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueOccurrences

    public ValueOccurrences(AtomicValue value)

Method Detail

### getValue

    public AtomicValue getValue()

### getOccurrences

    public int getOccurrences()

  Returns the overall frequency of this term in the document set.

### addOccurrences

    public void addOccurrences(int count)

### addDocument

    public void addDocument(DocumentImpl doc)

### add

    public void add(ValueOccurrences other)

### getDocuments

    public int getDocuments()

  Returns the number of documents from the set in which the term has been found.

### compareTo

    public int compareTo(java.lang.Object o)

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.